Subject: Re: bug#59268: [PATCH] Utilize new font-lock faces for C/C++ and Python tree-sitter use

From: Yuan Fu <[email-masked]>
Date: Wed, 16 Nov 2022 19:39:59 -0800

> On Nov 16, 2022, at 7:26 PM, Randy Taylor <[email-masked]> wrote:
> 
> Updated the patch again to apply cleanly, as there were some more changes to c-ts-mode.el.
> 
> 
> <0001-Utilize-new-font-lock-faces-for-C-C-and-Python-tree-.patch>

Ah, for making you updating the patch for so many times! I just see this report. The only comment I have is that I see you removed the field rule from assignment feature:

-     (assignment_expression
-      left: (field_expression field: (_) @font-lock-property-face))

I envisioned the assignment feature to highlight “the thing being assigned to”, in which case it would highlight the field when it’s in LHS. It’s perfectly fine to have both the field rule and the assignment rule to highlight fields, I think. So if you don’t mind, I’d add it back to assignment group.

Yuan